V4.0
post
/ec-dc-svc/rest/v4.0/studies/{studyId}/{mode}/dataelements/verify
Verifies multiple data elements for a subject based on the data element ID.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest for bulk unsign or unverify operations for a specific event/subject.
Show Source
-
comment: string
Any extra comment for the action when Other is selected in reason.Example:
The data required is missing. -
elements: array
elements
List of core sign/verify target elements.
-
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
7978B7DD0A0A4CA899C485990994300C -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
3 -
reason: string
Reason for the operation, if supplied. Accepted values are Change for encoding, Incorrect Subject, Investigator Correction, Transcription Error, Other.Example:
Other -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:2.0.0.38 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
AF77C6450BE94DE293C9630142E0AFAD
Nested Schema : elements
Type:
arrayList of core sign/verify target elements.
Show Source
-
Array of:
object CoreSignVerifyRequestDto
DTO for a single data element to be signed/unverified as part of a bulk request.
Nested Schema : CoreSignVerifyRequestDto
Type:
objectDTO for a single data element to be signed/unverified as part of a bulk request.
Show Source
-
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
3 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
7978B7DD0A0A4CA899C485990994300C -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
33CAF3CB1DF64DF5A353A337CBE6B50A -
innerRepeat: integer
(int64)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
1 -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
7978B7DD0A0A4CA899C485990994300C -
outerRepeat: integer
(int64)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
repeatFormNumber: integer
(int64)
Form repeat number if applicable.Example:
0 -
repeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object